(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
	typeof define === 'function' && define.amd ? define(['exports'], factory) :
	(global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.LazyAssertCheckBasic = {}));
})(this, (function (exports) { 'use strict';

	function isNum(n) {
	  return n === +n;
	}
	function isNaN(n) {
	  return Number.isNaN(n);
	}
	function isInt(n) {
	  return n === Math.floor(n);
	}
	function isFloat(n) {
	  return isNum(n) && !isInt(n);
	}
	function isFiniteInt(n) {
	  return isFinite(n) && isInt(n);
	}
	function isFiniteFloat(n) {
	  return isFinite(n) && isFloat(n);
	}
	function isInfinity(n) {
	  return n === Infinity || n === -Infinity;
	}
	function isZero(n) {
	  return n === 0 || n === -0;
	}
	function isPositive(n) {
	  return isNum(n) && (n > 0 || n === Infinity);
	}
	function isNegative(n) {
	  return isNum(n) && (n < 0 || n === -Infinity);
	}

	exports.isFiniteFloat = isFiniteFloat;
	exports.isFiniteInt = isFiniteInt;
	exports.isFloat = isFloat;
	exports.isInfinity = isInfinity;
	exports.isInt = isInt;
	exports.isNaN = isNaN;
	exports.isNegative = isNegative;
	exports.isNum = isNum;
	exports.isPositive = isPositive;
	exports.isZero = isZero;

	Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.umd.development.cjs.map
